﻿using System;
using System.Collections.ObjectModel;
using Telerik.Windows.Controls;

namespace TreeView_WPF_TreeViewDragDropOptions
{
	public class MainVM : ViewModelBase
	{
		public MainVM()
		{
			this.stringSource = new ObservableCollection<StringItem>();
			this.GenetareSampleData();
		}

		private ObservableCollection<StringItem> stringSource;
		public ObservableCollection<StringItem> StringSource
		{
			get
			{
				return this.stringSource;
			}
			set
			{
				if (this.StringSource != null)
				{
					this.stringSource = value;
					this.OnPropertyChanged("StringSource");
				}
			}
		}
		private void GenetareSampleData()
		{
			this.StringSource.Add(new StringItem() { Header = "5" });
			this.stringSource[0].Children.Add(new StringItem() { Header = "5.1" });
			this.StringSource.Add(new StringItem() { Header = "6" });
			this.stringSource[1].Children.Add(new StringItem() { Header = "6.1" });
			this.StringSource.Add(new StringItem() { Header = "7" });
			this.stringSource[2].Children.Add(new StringItem() { Header = "7.1" });
			this.StringSource.Add(new StringItem() { Header = "8" });
			this.stringSource[3].Children.Add(new StringItem() { Header = "8.1" });
		}
	}
}