﻿using System;
using System.Linq;
using System.Windows;
using Telerik.Windows.Controls.TreeView;
using Telerik.Windows.DragDrop;

namespace TreeView_WPF_TreeViewDragDropOptions
{
	/// <summary>
	/// Interaction logic for MainWindow.xaml
	/// </summary>
	public partial class MainWindow : Window
	{
		public MainWindow()
		{
			this.InitializeComponent();
			DragDropManager.AddDragOverHandler(this.xTree, new Telerik.Windows.DragDrop.DragEventHandler(OnTreeDragOver), true);
			this.DataContext = new MainVM();
		}

		private void OnTreeDragOver(object sender, Telerik.Windows.DragDrop.DragEventArgs e)
		{
			var options = DragDropPayloadManager.GetDataFromObject(e.Data, TreeViewDragDropOptions.Key) as TreeViewDragDropOptions;
			if (options != null)
			{
				//You can get the options here
			}
		}
	}
}